Bug 518281 - condor_restart can't handle HA Central Manager
Summary: condor_restart can't handle HA Central Manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: 1.1
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.2
: ---
Assignee: Robert Rati
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: 527551
TreeView+ depends on / blocked
 
Reported: 2009-08-19 18:03 UTC by Robert Rati
Modified: 2009-12-03 09:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid Bug Fix C: Running condor_restart with a high availability central manager configuration C: condor_restart is unable to find the collector F: Updated the condor_* tools to parse multiple central manager entries in order to find the correct one to contact R: Condor_restart can now restart a collector when condor is configured with a High Available Central Manager Running condor_restart with a High Availability Central Manager configuration resulted in an inability to find the collector. The condor_* tools were updated to parse multiple central manager entries. This enabled the tools to find the correct one to contact, and successfully restart a collector when condor is configured with a High Available Central Manager.
Clone Of:
Environment:
Last Closed: 2009-12-03 09:20:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1633 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.2 2009-12-03 09:15:33 UTC

Description Robert Rati 2009-08-19 18:03:37 UTC
Description of problem:
With an HA CM configuration, condor_restart is unable to find the collector:

condor_restart -collector
Can't find address for collector mrg29.lab.bos.redhat.com,mrg30.lab.bos.redhat.com
Perhaps you need to query another pool.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Robert Rati 2009-08-28 20:58:43 UTC
Fixed in next build after:
condor-7.4.0-0.2

Comment 3 Irina Boverman 2009-10-29 14:29:53 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.

Comment 4 Martin Kudlej 2009-11-02 14:25:38 UTC
I've tested it on RHEL 5.4/4.8 i386/x86_64 with condor-7.2.2-0.9 and it doesn't work as it should.
Tested on RHEL 5.4/4.8 i386/x86_64 with condor-7.4.1-0.2 and it works --> VERIFIED

Comment 5 Lana Brindley 2009-11-05 04:11:09 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,8 @@
-please see bug summary.+Grid Bug Fix
+
+C: Running condor_restart with a high availability  central manager configuration
+C: condor_restart is unable to find the collector
+F:
+R:
+
+NEED MORE INFO FOR RELNOTE

Comment 6 Robert Rati 2009-11-05 17:49:41 UTC
Condor_restart can now restart a collector when condor is configured with a High Available Central Manager

Comment 7 Lana Brindley 2009-11-08 23:33:22 UTC
Thanks Rob. Still looking for Fix information.

LKB

Comment 8 Lana Brindley 2009-11-08 23:33:22 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -3,6 +3,6 @@
 C: Running condor_restart with a high availability  central manager configuration
 C: condor_restart is unable to find the collector
 F:
-R:
+R: Condor_restart can now restart a collector when condor is configured with a High Available Central Manager  
 
 NEED MORE INFO FOR RELNOTE

Comment 9 Robert Rati 2009-11-09 21:08:23 UTC
F: Updated the condor_* tools to parse multiple central manager entries to find the correct one to contact

Comment 10 Lana Brindley 2009-11-11 20:22:22 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -2,7 +2,7 @@
 
 C: Running condor_restart with a high availability  central manager configuration
 C: condor_restart is unable to find the collector
-F:
+F: Updated the condor_* tools to parse multiple central manager entries in order to find the correct one to contact  
 R: Condor_restart can now restart a collector when condor is configured with a High Available Central Manager  
 
-NEED MORE INFO FOR RELNOTE+Running condor_restart with a High Availability  Central Manager configuration resulted in an inability to find the collector. The condor_* tools were updated to parse multiple central manager entries. This enabled the tools to find the correct one to contact, and successfully restart a collector when condor is configured with a High Available Central Manager.

Comment 12 errata-xmlrpc 2009-12-03 09:20:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html


Note You need to log in before you can comment on or make changes to this bug.